#!/usr/bin/gnuplot

set terminal postscript eps enhanced
set out "krit-fluss.eps"





#set xtics 20
#set ytics 50
#set grid
set ylabel "Magnetfeld Bc in Gs"
set xlabel "(T/Tc)^2"
set yrange [0:310]
set key right top box



f(x) = y0 + m*x
fit f(x) "krit-fluss.dat" using (($1/3.71)**2):3 via y0, m
g(x) = z0 + n*x
fit g(x) "krit-fluss.dat" using (($1/3.38)**2):5 via z0, n

#y0              = 302.408
#m               = -259.494
#y0error         = 3.654
#merror          = 6.994
#z0              = 250.079
#n               = -306.13
#z0error         = 7.313
#nerror          = 16.86

#plot [x=0:0.81] "krit-fluss.dat" using (($1/3.38)**2):3:(($2/3.38)**2):4 w boxxy t "" lt 1, "" using (($1/3.71)**2):5:(($2/3.71)**2):6 w boxxy t "" lt 1, f(x) w l t "Zinn", g(x) w l t "Indium", f(0) t "Zinn bei T=0", g(0) t "Indium bei T=0"

plot [x=0:1.1] "krit-fluss.dat" using (($1/3.71)**2):3:(($2/3.71)**2):4 w boxxy t "" lt 1, "" using (($1/3.38)**2):5:(($2/3.38)**2):6 w boxxy t "" lt 1, f(x) w l t "Zinn", g(x) w l t "Indium"





#################
# Deltafunktion #
#################
#eps=0.000001
#a=0
#plot 1/pi * (eps/((x - a)**2 + eps**2))



#plot "test.dat" using 1:2 w l





